﻿@model SubscriptionCreateEditModelStep2

@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">

        <div class="back">
            <a class="action" ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId: MC.stateParams.programId})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title" ng-if="Model.SaveType == 'Draft'">
            <h1>
                Add ({{Model.Name}})
            </h1>
        </div>

        <div class="title" ng-if="Model.SaveType == 'Publish'">
            <h1>
                Edit ({{Model.Name}})
            </h1>
        </div>

        <div class="actions"></div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div class="accordion add-program-schedules" data-role="accordion">
        <div class="add-program-schedule-frame" initAccordions()>

            <div class="add-program-schedule-content" ng-class="{block : MC.stateParams.programType == 'Class' ? true : !firstCollapsed, 'content': (MC.stateParams.programType == 'Class' ? false : firstCollapsed)}">

                <fieldset ng-class="{'fieldset-schedule-type' : MC.stateParams.programType != 'Calendar' || MC.stateParams.programType != 'SeminarTour'}">
                    <legend>Program schedule</legend>
                    <span class="place-right program-days-error">@Html.AngValidation("Days")</span>
                    <div class="clearfix"></div>
                    <ul class="program-week-days" ng-class="MC.stateParams.programType">
                        <li ng-repeat="day in Model.Days" data-toggle="tooltip" data-placement="top" jb-tooltip validation-error-tooltip data-html="true">
                            <input id="{{day.DayOfWeek.substring(0, 3)}}" ng-model="day.IsChecked" ng-click="updateWeeksCount()" type="checkbox">
                            <div>
                                <label for="{{day.DayOfWeek.substring(0, 3)}}">{{day.DayOfWeek.substring(0, 3)}}</label>
                                <div class="start-end-time">
                                    <div class="input-control date-time" data-role="input-control">
                                        <input ng-model="day.StartTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Starts at">
                                    </div>
                                    <div class="input-control date-time" data-role="input-control">
                                        <input ng-model="day.EndTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Ends at">
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>

                    <div class="clearfix"></div>

                    <div class="place-left one-third padding-right20">
                        <label class="req-star">This program starts on</label>
                        <div class="input-control date-time" @Html.AngValidationClassFor(model => model.StartDate)>
                            <div @Html.AngTooltipValidationFor(model => model.StartDate)>
                                <input k-options="MC.datePickerOptions" kendo-date-picker type="text" ng-model="@Html.Ang(m => m.StartDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="setRegisterEndDate(scheduleIndex)" />
                            </div>
                        </div>
                    </div>

                    <div class="place-left one-third padding-right20">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control select" data-role="input">
                            <select ng-model="Model.SelectedContinueType" ng-options="obj.Value as obj.Text for obj in Model.ContinueTypes"></select>
                        </div>
                    </div>

                    <div class="place-left one-third" ng-show="Model.SelectedContinueType == 'Until'">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EndDate)>
                            <div @Html.AngTooltipValidationFor(model => model.EndDate)>
                                <input k-options="MC.datePickerOptions" kendo-date-picker type="text" ng-model="@Html.Ang(model => model.EndDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                            </div>
                        </div>
                    </div>

                    <div class="place-left one-third" ng-show="Model.SelectedContinueType == 'For'">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control select">
                            <select ng-model="Model.SelectedSession" ng-options="obj.Value as obj.Text for obj in Model.Sessions"></select>
                        </div>
                    </div>
                    <div class="clearfix"></div>

                </fieldset>

                <fieldset>
                    <legend>Registration period</legend>
                    <span class="message">You can specify the date users can start registering for this program and the date the regisration period closes.</span>
                    <div>
                        <div class="one-half place-left" style="padding-right: 20px">
                            <label class="req-star" for="">Registration starts on</label>
                            <div class="input-control date-time" @Html.AngValidationClass("RegistrationPeriod.RegisterStartDate")>
                                <div @Html.AngTooltipValidation("RegistrationPeriod.RegisterStartDate")>
                                    <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.RegistrationPeriod.RegisterStartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>
                        </div>

                        <div class="one-half place-left">
                            <label class="req-star" for="">and ends on</label>
                            <div class="input-control date-time" @Html.AngValidationClass("RegistrationPeriod.RegisterEndDate")>
                                <div @Html.AngTooltipValidation("RegistrationPeriod.RegisterEndDate")>
                                    <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.RegistrationPeriod.RegisterEndDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>
                        </div>
                    </div>

                </fieldset>

                <fieldset>
                    <legend>Class schedules</legend>
                    <span class="message">Price plans and schedules.</span>

                    <div class="clearfix"></div>

                    <div class="place-left one-half  padding-right20">
                        <label class="req-star">Registration fee</label>
                        <div class="input-control text price" data-role="input-control" data-sign="$" @Html.AngValidationClass("RegistrationFee")>
                            <input ng-model="Model.RegistrationFee" type="text" @Html.AngTooltipValidation("RegistrationFee") />
                        </div>
                    </div>

                    <div class="place-left one-half">
                        <label>Capacity</label>
                        <div class="input-control select" @Html.AngValidationClass("Capacity")>
                            <select ng-model="Model.Capacity"
                                    ng-options="obj.Value as obj.Text for obj in Model.Capacities"
                                    @Html.AngTooltipValidation("Capacity")></select>
                        </div>
                    </div>

                    <div class="clearfix"></div>

                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-false-value="false" ng-true-value="true" ng-model="Model.HasEarlyBird" type="checkbox">
                                <span class="check"></span>
                                Enable early-bird discount
                            </label>
                        </div>
                    </div>

                    <div class="place-left one-half earlybird-discounts" ng-show="Model.HasEarlyBird">

                        <div ng-repeat="earlybird in Model.EarlyBirds" ng-init="ebIndex = $index">

                            <div class="place-left one-half padding-right20">
                                <label>Will expire on</label>
                                <div class="input-control date-time" @Html.AngValidationClass("EarlyBirds['+ebIndex+'].ExpireDate")>
                                    <div @Html.AngTooltipValidation("EarlyBirds['+ebIndex+'].ExpireDate")>
                                        <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="earlybird.ExpireDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                    </div>
                                </div>
                            </div>

                            <div class="place-left one-half">
                                <div class="place-left four-fifth">
                                    <label>Early bird price</label>
                                    <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("EarlyBirds['+ebIndex+'].Price")>
                                        <input ng-model="earlybird.Price" type="text" @Html.AngTooltipValidation("EarlyBirds['+ebIndex+'].Price") />
                                    </div>
                                </div>

                            </div>
                            <div class="place-left one-half">
                                Early bird price expires at 11:59 PM this day
                            </div>
                            <div class="clearfix"></div>
                        </div>

                    </div>

                    <div class="clearfix"></div>

                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-false-value="false" ng-true-value="true" ng-model="Model.HasPayInFullOption" type="checkbox">
                                <span class="check"></span>
                                Enable pay-in-full option
                            </label>
                        </div>
                    </div>

                    <div class="place-left one-half earlybird-discounts" ng-show="Model.HasPayInFullOption">

                        <div class="place-right one-half">
                            <div class="place-left four-fifth">
                                <label>Discount amount</label>
                                <div class="input-control text price" data-sign="%" data-role="input-control" @Html.AngValidationClass("FullPayDiscount")>
                                    <input ng-model="Model.FullPayDiscount" type="text" @Html.AngTooltipValidation("FullPayDiscount") />
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="clearfix"></div>

                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label>
                                <input ng-false-value="false" ng-true-value="true" ng-model="Model.EnableDropIn" type="checkbox">
                                <span class="check"></span>
                                Enable drop-in
                            </label>
                        </div>
                    </div>

                    <div class="place-left one-half" ng-show="Model.EnableDropIn">

                        <div class="place-left one-half padding-right20">
                            <label>Tuition label</label>

                            <div class="input-control text" @Html.AngValidationClass("DropInSessionLabel")>
                                <input ng-model="Model.DropInSessionLabel" type="text" @Html.AngTooltipValidation("DropInSessionLabel") />
                            </div>
                        </div>

                        <div class="place-right one-half">

                            <label>Tuition price</label>
                            <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("DropInSessionPrice")>
                                <input ng-model="Model.DropInSessionPrice" type="text" @Html.AngTooltipValidation("DropInSessionPrice") />
                            </div>

                        </div>
                    </div>

                    <div class="clearfix"></div>


                    <hr />

                    <div class="place-left one-third">
                        <label class="req-star">Payment due date</label>
                        <div class="input-control select" data-role="input-control">
                            <div class="input-control select" data-role="input-control" @Html.AngValidationClass("DueDate")>
                                <select ng-model="Model.DueDate" ng-options="obj.Value as obj.Text for obj in MonthDays" @Html.AngTooltipValidation("DueDate")></select>
                            </div>
                        </div>
                    </div>

                    <div class="clearfix"></div>

                    <hr />

                    <div ng-repeat="subscription in Model.Subscriptions" ng-init="sbIndex = $index">

                        <div class="place-left one-third padding-right20">
                            <label class="req-star">Tuition label</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Subscriptions['+sbIndex+'].PriceLabel")>
                                <input ng-model="subscription.PriceLabel" type="text" @Html.AngTooltipValidation("Subscriptions['+sbIndex+'].PriceLabel") />
                            </div>
                        </div>

                        <div class="place-left one-third padding-right20">
                            <label class="req-star">Number of class days in a week</label>
                            <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Subscriptions['+sbIndex+'].WeekDays")>
                                <select ng-model="subscription.WeekDays" ng-options="obj.Value as obj.Text for obj in WeeksCount" @Html.AngTooltipValidation("Subscriptions['+sbIndex+'].WeekDays")></select>
                            </div>
                        </div>
                        <div class="place-left one-third">
                            <div class="place-left two-third">
                                <label class="req-star">Price for schedule</label>
                                <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Subscriptions['+sbIndex+'].Amount")>
                                    <input ng-model="subscription.Amount" type="text" @Html.AngTooltipValidation("Subscriptions['+sbIndex+'].Amount") />
                                </div>
                            </div>
                            <div class="place-left text-right" ng-hide="$first && $last">
                                <button class="remove" ng-click="removeSubscription(subscription.Id)"><i class="jbi-remove"></i></button>
                            </div>
                        </div>



                        <div class="clearfix"></div>
                    </div>

                    <div class="clearfix"></div>
                    <button class="place-right default" type="button" ng-click="addPriceOption(Model)">Add price option</button>
                    <div class="clearfix"></div>

                    <div ng-show="Model.IsProrate" class="input-control date-time place-left one-third" @Html.AngValidationClass("ProrateTime")>
                        <div @Html.AngTooltipValidation("ProrateTime")>
                            <input ng-model="Model.ProrateTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker type="text" />
                        </div>
                    </div>

                    <div class="clearfix"></div>

                </fieldset>

                <fieldset>
                    <legend>Participant restriction</legend>

                    <span class="message">You can qualify people who can register for your program based on their gender, age, and grade. The system will prevent users from registering for the program if they do not meet all the requirements.</span>

                    <div class="place-left one-half padding-right20">

                        <label>Gender</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="Model.SelectedGender" ng-options="obj.Value as obj.Text for obj in Model.GenderItems"></select>
                        </div>
                    </div>

                    <div class="place-left one-half">
                        <label>Age/grade restrictions</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="Model.SelectedRestrictionType" ng-options="obj.Value as obj.Text for obj in Model.RestrictionTypes"></select>
                        </div>

                        <div ng-if="Model.SelectedRestrictionType == '@RestrictionType.Age'">

                            <div class="place-left one-half" style="padding-right: 20px">
                                <label>Min age</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMinAge")>
                                    <div @Html.AngTooltipValidation("SelectedMinAge")>
                                        <select ng-model="Model.SelectedMinAge" ng-options="obj.Value as obj.Text for obj in Model.Ages"></select>
                                    </div>
                                </div>
                            </div>

                            <div class="place-left one-half">
                                <label>Max age</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMaxAge")>
                                    <div @Html.AngTooltipValidation("SelectedMaxAge")>
                                        <select ng-model="Model.SelectedMaxAge" ng-options="obj.Value as obj.Text for obj in Model.Ages"></select>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div ng-if="Model.SelectedRestrictionType == '@RestrictionType.Grade'">
                            <div class="place-left one-half" style="padding-right: 20px">
                                <label>Min grade</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMinGrade")>
                                    <div @Html.AngTooltipValidation("SelectedMinGrade")>
                                        <select ng-model="Model.SelectedMinGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                                    </div>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <label>Max grade</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SelectedMaxGrade")>
                                    <div @Html.AngTooltipValidation("SelectedMaxGrade")>
                                        <select ng-model="Model.SelectedMaxGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div ng-if="Model.SelectedRestrictionType == '@RestrictionType.Grade' || Model.SelectedRestrictionType == '@RestrictionType.Age'">
                            <label class="req-star">The restriction applies</label>
                            <div class="input-control radio">
                                <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                                    <label class="block">
                                        <input ng-model="Model.AppliesRestrictionAtTheProgramStart" name="AppliesRestrictionAtTheProgramStart" ng-value="false" type="radio" />
                                        <span class="check"></span>
                                        At the registration time
                                    </label>
                                </div>
                                <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
                                    <label class="block">
                                        <input ng-model="Model.AppliesRestrictionAtTheProgramStart" name="AppliesRestrictionAtTheProgramStart" ng-value="true" type="radio" />
                                        <span class="check"></span>
                                        At the program start time
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>

                </fieldset>

            </div>

        </div>
    </div>

    <div class="clearfix"></div>

    <hr />
    <a class="place-left button link large" ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>Back</a>
    <a class="success place-right button large" ng-click="saveStep2()">Save & continue</a>

    <div class="clearfix"></div>

</div>